%define _prefix /opt/lscsoft/libmetaio
                                                                                
Name: libmetaio
Version: 5.4
Release: 6.lscsoft
Summary: LIGO Light-Weight XML library
Copyright: ?
Group: LSC Software/Data Analysis
Source: %{name}-%{version}.tar.gz
Packager: Kipp Cannon (kipp@graviy.phys.uwm.edu)
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: metaio
Prefix: /opt/lscsoft/libmetaio
%description
This code implements a simple recursive-descent parsing scheme for LIGO_LW
files, based on the example in Chapter 2 of "Compilers: Principles,
Techniques and Tools" by Aho, Sethi and Ullman.  Written by Philip Charlton
and Peter Shawhan.

This package contains the shared libraries needed for running libmetaio
applications.


%package devel
Summary: Files and documentation needed for compiling libframe programs
Group: LAL
Requires: %{name} = %{version}
%description devel
This code implements a simple recursive-descent parsing scheme for LIGO_LW
files, based on the example in Chapter 2 of "Compilers: Principles,
Techniques and Tools" by Aho, Sethi and Ullman.  Written by Philip Charlton
and Peter Shawhan.

This package contains the files needed for building libmetaio applications.


%prep
%setup -q


%build
%configure
%{__make}


%install
%makeinstall


%post
ldconfig


%postun
ldconfig


%clean
[ ${RPM_BUILD_ROOT} != "/" ] && rm -Rf ${RPM_BUILD_ROOT}
rm -Rf ${RPM_BUILD_DIR}/%{name}-%{version}


%files
%defattr(-,root,root)
%{_libdir}/*.so*

%files devel
%defattr(-,root,root)
%{_libdir}/*a
%{_libdir}/pkgconfig/*
%{_includedir}/*
